﻿/*----------------------------------------EVENT DIARY LOADING---------------------------------*/
.diary-loading {
    text-align: center;
    width: 100%;
}

.diary-loading img {
    width: 52px;
    position: relative;
    top: 47vh;
}

.task-diary-cont .diary-loading img {
    top: 37vh;
}

/*------------------------------------------MOUSE DOWN------------------------------------------*/
@media screen and (min-width:1281px) {
    .mouse-down-style:hover {
        background: rgb(243, 245, 246);
        color: var(--header-bg);
    }
}

.mouse-down {
    background: #d6dde2 !important;
}

/*------------------------------------------VARIABLES-------------------------------------------*/
:root {
    --control-border: #ebeff6;
    --header-bg: #2197f3 /*rgb(0, 117, 245)*/;
    --dark-text: black /*#1f2831*/;
    --default-font-size: 9pt;
    --ed-event-bg: #e71e62;
    --ed-event-enquiry-bg: #fe9601;
    --ed-event-provisional-bg: #2197f3;
    --ed-event-confirmed-bg: #8bc24a;
    --ed-cell-selected-bg: #c1e8ff;
    /* --input-grey:rgb(250, 250, 252);*/
    --input-grey: #eef1f3 /*#f7f7fa*/;
    --chart-grid-box-shadow: 0px 1px 2px rgba(213, 218, 231, 0.3);
    --nav-box-shadow: 0px 0px 6px rgb(227, 227, 228) /*0px 0px 10px rgba(213, 218, 231, 0.3)*/;
    --input-box-shadow: 0px 0px 6px rgb(238, 241, 246);
    --invert-input-box-shadow: 0px 0px 3px rgb(226, 229, 237);
    --body-control-title: #9ca7ae;
    /*--window-background:rgb(250, 250, 252);*/
    --window-background: #f7f7fa;
    --popup-window-box-shadow: 0px 0px 20px rgba(31, 44, 57, 0.2);
    --nullable-checkbox-blue: #52b1fb;
    --overlay-background: rgba(43, 51, 55, 0.93);
    --tab-table-border:1px solid #f2f6f9;
    --tr-highlight-bg:#dff4ff;
    --tr-highlight-border:1px solid #b6e5ff;
}
/*--------------------------------------SELECT/INPUT STYLE---------------------------------------*/
input[disabled] {
    pointer-events: none
}

select, input {
    -webkit-appearance: none;
    -moz-appearance: none;
}

html body input[type='radio'] {
    -webkit-appearance: radio;
    -moz-appearance: radio;
}

html body input[type='checkbox'] {
    -webkit-appearance: checkbox;
    -moz-appearance: checkbox;
}

html body select option[value='0'], html body select option[value=''] {
    color: rgba(31, 40, 49, 0.43) !important;
}


/*-----------------------------------------FONT IMPORT-----------------------------------------*/
@font-face {
    font-family: Avenir-Light;
    src: url('/fonts/AvenirLTStd-Light.woff');
}

@font-face {
    font-family: Avenir-Medium;
    src: url('/fonts/AvenirLTStd-Medium.woff');
}


/*------------------------------------------GLOBAL---------------------------------------------*/
strong {
    font-weight: bold;
}

em {
    font-style: italic;
}


/*------------------------------------------FONT SELECT USED IN DOC DESIGNER AND PLACE CARDS DESIGNER---------------------------------------------*/
/*--------font select-------*/
.font-select {
    position: relative;
}

.font-select-display {
    cursor: pointer;
    width: 100%;
    min-height: 10px;
}

.font-select-dropdown {
    display: none;
    position: absolute;
    background: white;
    z-index: 100;
    font-size: 12pt;
    max-height: 300px;
    overflow: auto;
    left: 0px;
    padding: 5px 0px;
    width: 200px;
    border-radius: 0px 0px 4px 4px;
}

.font-select-option {
    padding: 5px 10px;
    cursor: pointer;
}

.font-select-option:hover {
    background: #b9e1ff;
}
